[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[wtp-dev] ICU and other M5 related changes coming this week -- coming today!

It it helps you get an early start, you can create a target with these downloads.
I'll put these into the build's pre-reqs Monday afternoon.
That might give you a few hours to avoid a build break, if you get your code updated in time.

I'll do only the platform change first, unless I hear from Carl he's ready with EMF changes.


http://download.eclipse.org/eclipse/downloads/drops/I20090122-0800/download.php?dropFile=eclipse-SDK-I20090122-0800-win32.zip
http://download.eclipse.org/eclipse/downloads/drops/I20090122-0800/download.php?dropFile=eclipse-test-framework-I20090122-0800.zip
http://download.eclipse.org/eclipse/downloads/drops/I20090122-0800/download.php?dropFile=org.eclipse.releng.tools-I20090122-0800.zip

http://www.eclipse.org/modeling/download.php?file=/modeling/emf/emf/downloads/drops/2.5.0/I200901201800/emf-runtime-I200901201800.zip
http://www.eclipse.org/modeling/download.php?file=/modeling/emf/emf/downloads/drops/2.5.0/I200901201800/xsd-runtime-I200901201800.zip

http://www.eclipse.org/gef/download.php?file=/tools/gef/downloads/drops/3.5.0/I200901191850/GEF-runtime-I200901191850.zip

http://www.eclipse.org/downloads/download.php?file=/datatools/downloads/drops/N_DTP_1.7/dtp-sdk-1.7.0M5-200901230500.zip

http://build.eclipse.org/webtools/committers/wtp-R3.1-I/20090126024603/I-3.1-20090126024603/wtp-sdk-I-3.1-20090126024603.zip


What to do about ICU?

Thanks to you that have already made adjustments, but there's still 40 more.

Here's what I recommend,

Search for
com.ibm.icu;bundle-version=
in all your manifest.mf files.
remove it.
Red Xs appear.
Take a moment to see if you really need ICU where those red-Xs are.
I've seen a few cases where it was not required. Once in a test plugin. Not required. (If you do, you have some pretty sophisticated tests!). Once I saw in some code that was using StringTokenizer from ICU to parse a doctype element, to get the public and system IDs. The normal Java StringTokenizer would do in this case, Doctypes can not have supplementary characters ... the only thing that StringTokenizer handles over the Java one.

To fix the red Xs, use the following in your manifest.mf files.
Import-Package: com.ibm.icu.util; version="3.8",
com.ibm.icu.text; version="3.8"

You may need only one of those packages.
Maybe others ... those were the only two I saw
in half a dozen cases.

Bonus Question: why no upper bound?

Inactive hide details for answeranswer
answer
a. icu doesn't follow the rules we do so hard to know where an appropriate bound would be, and
b. For %99.9 of what we use from ICU we are just using the ICU version of a Java API. It will be very very ... no, extremely very ... unlikely that API would ever be broken, even in ICU version 54.

This is all my advice anyway ... I'm sure there are valid alternatives.

I'll probably touch base with the Eclipse PMC to see if this change to ICU version 4 is really needed, and if really needed now, but even if not, we should go ahead and make these changes so we'll be ready for what ever happens.

GIF image